Assignee:
Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29377

Description

In 2.18.x when one wanted to select features in a layer, you clicked the primary mouse button, held it, and moves the mouse cursor over

the items you wanted to select - known as "click and drag". To help, a shape was drawn on screen for the user to know what they had

already dragged the mouse over top of. To add to the selection you used shift plus click and drag, to remove, ctrl plus click and drag. This

is a widely used method across platforms and has been in use for more than two decades. It is a de facto standard.

In 3.x, however, instead of using that common method, it has changed to click and release and move the mouse around. This is a

common UI method to set focus to an item for subsequent actions but still be able to move the mouse around without selecting or affecting

any other items.

A similar change has also happened in the vertex editor where in 2.18.x single clicking on a vertex used to mean select, and you had to

drag (click and hold) to move it. Now, if you click and release, it unexpectedly drags the vertex around as you move the mouse.

QGIS having it's own, non-standard mouse actions for tasks that are common (select, copy, delete, etc…) across all types of data (text in a

wordprocessor, frames in a movie editor, features in a map editor, etc…) is counter-intuitive and confusing, especially if those

non-standard actions are already commonly used for other common user interface actions.

It's almost like the QGIS development team has decided that Ctrl+V will now mean "Cut", Ctrl+X will mean "Copy", and to copy have to

use Alt+F1 for "Paste". Extending common user interface actions for something in QGIS that has no exact parallel but is still conceptually

similar to that common action, like how Ctrl+Alt+V means paste what was copied into the buffer into a brand new layer, that makes

sense. But ignoring decades of common UI actions that are in the muscle memory of probably all users makes the programme frustrating

and tedious to use as one has to constantly remind themselves that QGIS is different.

History

#1 - 2019-03-12 04:53 AM - Nyall Dawson

- Status changed from Open to Feedback

In 3.x, however, instead of using that common method, it has changed to click and release and move the mouse around.

That's NOT the case for select by rectangle, etc. Can you elaborate?

#2 - 2019-03-12 10:55 AM - Giovanni Manghi

- Operating System deleted (all)

- Priority changed from High to Normal

- Category changed from Actions to Map Tools
It is also very unlikely that a ticket here, asking to revert the digitizing tools to the old behavior, will produce any effect.

If you have any concern this should be raised in the users/developers mailing lists.

#3 - 2019-03-15 06:04 PM - Cory Albrecht

Giovanni Manghi wrote:

If you have any concern this should be raised in the users/developers mailing lists.

Thanks for the tip!

#4 - 2019-03-15 06:06 PM - Cory Albrecht

Nyall Dawson wrote:

In 3.x, however, instead of using that common method, it has changed to click and release and move the mouse around.

That's NOT the case for select by rectangle, etc. Can you elaborate?

It is for the freehand select. You click once and release and it starts showing you a shaded area that is the bounds of the freehand shape you are tracing

out by moving the mouse cursor.
